package com.example.carrentals;



import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;

import com.craftman.cardform.Card;
import com.craftman.cardform.CardForm;
import com.craftman.cardform.OnPayBtnClickListner;


public class PaymentPage extends AppCompatActivity {


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        final CardForm cardFrom = (CardForm)findViewById(R.id.cardform);
        TextView txtDes = (TextView)findViewById(R.id.payment_amount);
        Button btnPay = (Button)findViewById(R.id.btn_pay);

        txtDes.setText("£1999");
        btnPay.setText(String.format("Payer #s",txtDes.getText()));

   cardFrom.setPayBtnClickListner(new OnPayBtnClickListner() {
       @Override
       public void onClick(Card card) {
           Toast.makeText(PaymentPage.this, "Number :"+card.getNumber()+":CVC:"+card.getCVC(),Toast.LENGTH_SHORT).show();
       }
   });

    }


    public void CountdownTimer(View v) {
        Intent intent = new Intent(this, CountdownTimer.class);
        startActivity(intent);


    }
}